<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: earth_sensor Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('namespaceearth__sensor.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">earth_sensor Namespace Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">EarthSensor</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:abd113b9a89069babe08bf35e05dd996a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceearth__sensor.html#abd113b9a89069babe08bf35e05dd996a">h_ec</a> = np.sqrt(((6378.136 + 500) * 1000) ** 2 / 3)</td></tr>
<tr class="separator:abd113b9a89069babe08bf35e05dd996a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1eb2a197bb64fb0e312b8e758430d7b6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceearth__sensor.html#a1eb2a197bb64fb0e312b8e758430d7b6">ori</a> = np.array([1, 0, 0, 0])</td></tr>
<tr class="separator:a1eb2a197bb64fb0e312b8e758430d7b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9520cca3a23b1149f6aa05dee54a25b8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceearth__sensor.html#a9520cca3a23b1149f6aa05dee54a25b8">a</a></td></tr>
<tr class="separator:a9520cca3a23b1149f6aa05dee54a25b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a9520cca3a23b1149f6aa05dee54a25b8" name="a9520cca3a23b1149f6aa05dee54a25b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9520cca3a23b1149f6aa05dee54a25b8">&#9670;&nbsp;</a></span>a</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">earth_sensor.a</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span>=  EarthSensor(outputs=<a class="code hl_class" href="classinternal__transfer_1_1_output_lists.html">internal_transfer.OutputLists</a>(<span class="stringliteral">&#39;presim.db&#39;</span>,</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>                                                          <span class="stringliteral">&#39;simdata.db&#39;</span>),</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>                    name=<span class="stringliteral">&#39;earth_sensor&#39;</span>,</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>                    position=np.array([0.001, 0.001, 0.001]),</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>                    orientation=np.array([0.0, 0.0, 0.7071, -0.7071]),</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>                    database=<span class="stringliteral">&#39;test.db&#39;</span>,</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>                    digital=<span class="keyword">True</span>,</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>                    mode=1,</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>                    fov_shape=<span class="stringliteral">&#39;circle&#39;</span>,</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>                    fov=160,</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>                    detected_area=1,</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>                    accuracy=np.array([2, 1]),</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>                    sampling_rate=1.,</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>                    active=<span class="keyword">True</span>)</div>
<div class="ttc" id="aclassinternal__transfer_1_1_output_lists_html"><div class="ttname"><a href="classinternal__transfer_1_1_output_lists.html">internal_transfer.OutputLists</a></div><div class="ttdef"><b>Definition:</b> internal_transfer.py:10</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="abd113b9a89069babe08bf35e05dd996a" name="abd113b9a89069babe08bf35e05dd996a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd113b9a89069babe08bf35e05dd996a">&#9670;&nbsp;</a></span>h_ec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">earth_sensor.h_ec = np.sqrt(((6378.136 + 500) * 1000) ** 2 / 3)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1eb2a197bb64fb0e312b8e758430d7b6" name="a1eb2a197bb64fb0e312b8e758430d7b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1eb2a197bb64fb0e312b8e758430d7b6">&#9670;&nbsp;</a></span>ori</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">earth_sensor.ori = np.array([1, 0, 0, 0])</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceearth__sensor.html">earth_sensor</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
